Bug 135183 - Add project URL at gperf's spec file + some minor changes
Add project URL at gperf's spec file + some minor changes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gperf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 18:24 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.0.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 09:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-10-09 18:24:11 EDT
Description of problem:
The project URL should be added to gperf's spec file and some minor 
changes like macrofying and so...

Version-Release number of selected component (if applicable):
gperf-3.0.1-3

Actual results / Expected results:
--- snipp ---
--- gperf.spec       2004-06-15 16:39:12.000000000 +0200
+++ gperf.spec.rsc   2004-10-10 00:25:01.000000000 +0200
@@ -2,11 +2,12 @@
 Name: gperf
 Version: 3.0.1
 Release: 3
-Copyright: GPL
+License: GPL
 Source: ftp://ftp.gnu.org/pub/gnu/gperf/gperf-%{version}.tar.gz
 Group: Development/Tools
+URL: http://www.gnu.org/software/gperf/
 Prereq: /sbin/install-info
-BuildRoot: /var/tmp/gperf-root
+BuildRoot: %{_tmppath}/%{name}-%{version}-root

 %description
 Gperf is a perfect hash function generator written in C++. Simply
@@ -27,8 +28,7 @@

 %makeinstall
 # remove the stuff from the buildroot
-rm -rf $RPM_BUILD_ROOT/%{_mandir}/{dvi,html}
-rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc
+rm -rf $RPM_BUILD_ROOT{%{_mandir}/{dvi,html},%{_datadir}/doc}

 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -44,7 +44,7 @@
 %files
 %defattr(-,root,root)
 %doc README NEWS doc/gperf.html
-/usr/bin/gperf
+%{_bindir}/%{name}
 %{_mandir}/man1/gperf.1*
 %{_infodir}/gperf.info*

--- snapp --
Comment 1 Ivana Varekova 2004-10-11 10:04:52 EDT
Thank you for your notice. The spec file was changed.
IV
Comment 2 Robert Scheck 2004-10-12 09:45:12 EDT
Thank you. Solved with -4, closing now.

Note You need to log in before you can comment on or make changes to this bug.